#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ENewSteamAnnouncementState {
    Invalid = 0,
    AllRead = 1,
    NewAnnouncement = 2,
    FeaturedAnnouncement = 3,
}

impl ENewSteamAnnouncementState {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::AllRead as i32 => Some(Self::AllRead),
            x if x == Self::NewAnnouncement as i32 => Some(Self::NewAnnouncement),
            x if x == Self::FeaturedAnnouncement as i32 => Some(Self::FeaturedAnnouncement),
            _ => None,
        }
    }
}
